/* $Id: thunar-vfs-scandir.h 129 2005-11-01 11:29:24Z benny $ */
/*-
 * Copyright (c) 2005 Benedikt Meurer <benny@xfce.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#if !defined (THUNAR_VFS_INSIDE_THUNAR_VFS_H) && !defined (THUNAR_VFS_COMPILATION)
#error "Only <thunar-vfs/thunar-vfs.h> can be included directly, this file may disappear or change contents."
#endif

#ifndef __THUNAR_VFS_SCANDIR_H__
#define __THUNAR_VFS_SCANDIR_H__

#include <thunar-vfs/thunar-vfs-path.h>
#include <thunar-vfs/thunar-vfs-types.h>

G_BEGIN_DECLS;

typedef enum /*< flags >*/
{
  THUNAR_VFS_SCANDIR_RECURSIVE    = (1L << 0),
  THUNAR_VFS_SCANDIR_FOLLOW_LINKS = (1L << 1),
} ThunarVfsScandirFlags;

GList *thunar_vfs_scandir       (ThunarVfsPath        *path,
                                 ThunarVfsScandirFlags flags,
                                 GCompareFunc          func,
                                 GError              **error) G_GNUC_INTERNAL;

G_END_DECLS;

#endif /* !__THUNAR_VFS_SCANDIR_H__ */
